
QGIS Application - Bug report #19345

Can't Install - Won't Run - crssync.exe is not a valid Win32 application

2018-07-05 11:52 PM - steve ripple

Status: Closed

Priority: High

Assignee: steve ripple

Category: Build/Install

Affected QGIS version:3.2 Regression?: No

Operating System: WXP Easy fix?: No

Pull Request or Patch supplied:No Resolution: wontfix

Crashes QGIS or corrupts data:No Copied to github as #: 27173

Description

I can't install the latest package.  I have tried both the web installer and downloaded the whole package. It gets to a point then I get this

crssync.exe is not a valid Win32 application, and the same with the rest of the exe files (qgis and qgis with grass). It says look at the log,

but there is no file that I can find that is a log.

History

#1 - 2018-07-06 09:23 AM - Giovanni Manghi

- Status changed from Open to Feedback

windows XP?

#2 - 2018-07-06 05:17 PM - steve ripple

Yes, It's in the form - Windows XP. Maybe it's this, but there is nothing in the install info about versions of Windows (well now you'll likely point out

something I missed).

#3 - 2018-07-06 05:18 PM - Giovanni Manghi

I don't think we support it officially, said that a 2.14 installer will work, tested it yesterday.

#4 - 2018-07-07 04:33 PM - steve ripple

So skip the 2.18 version - or should I try it and report here? I know not-valid Win32 errors can be many things and running software that is not compatible

with a version can be one of them.  Otherwise it's really hard to pin down without specific help from the programs 'developers'. The main download site sort

of leads you right to the latest version, perhaps that is not wise. I installed from the web-installer, and it had warnings as I've stated with several exe files

not being valid.  But it then ended saying installation successful.  This is sort of misleading.  Also, there is no way to uninstall - do I need to worry?  It's not in

the Windows installed list and I have another program that can find installed programs (and remnants) - can't find anything.  But perhaps there are things it

installed that I have no way to identify (without a list of named items).  Maybe I can just install the 2.14 version and everything will be OK? The other

Standalone install processed (with similar errors)and was then listed in the Windows install menu - and I uninstalled it.  This was a bit confusing as they

seemed to be very different from each other, and not at all clear from the website.

#5 - 2018-07-08 06:52 PM - Jürgen Fischer

- Status changed from Feedback to Closed

- Resolution set to wontfix
Recent versions of Qt5 don't support XP (see https://wiki.qt.io/PlatformSupport)

#6 - 2018-07-09 08:34 PM - Jürgen Fischer

Jürgen Fischer wrote:

Recent versions of Qt5 don't support XP (see https://wiki.qt.io/PlatformSupport)

QGIS 2.18 is based on Qt4 and still works on XP.
